# eric6.Plugins.CheckerPlugins.Tabnanny.TabnannyDialog

Module implementing a dialog to show the output of the tabnanny command process.

### Global Attributes

None

### Classes

TabnannyDialog | Class implementing a dialog to show the results of the tabnanny check run.

### Functions

None

## TabnannyDialog

Class implementing a dialog to show the results of the tabnanny check run.

### Derived from

QDialog, Ui_TabnannyDialog

### Class Attributes

filenameRole

### Class Methods

None

### Methods

TabnannyDialog | Constructor
__batchFinished | Private slot handling the completion of a batch job.
__createErrorItem | Private slot to create a new error item in the result list.
__createResultItem | Private method to create an entry in the result list.
__finish | Private slot called when the action or the user pressed the button.
__processError | Private slot to process an error indication from the service.
__processResult | Private slot called after perfoming a style check on one file.
__resort | Private method to resort the tree.
check | Public method to start an indentation check for one file.
checkBatch | Public method to start an indentation check batch job.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_resultList_itemActivated | Private slot to handle the activation of an item.
on_startButton_clicked | Private slot to start a code metrics run.
prepare | Public method to prepare the dialog with a list of filenames.
start | Public slot to start the tabnanny check.

### Static Methods

None

#### TabnannyDialog (Constructor)

TabnannyDialog(indentCheckService, parent=None)

Constructor

indentCheckService
  reference to the service (IndentCheckService)
parent
  The parent widget (QWidget).

#### TabnannyDialog.__batchFinished

__batchFinished()

Private slot handling the completion of a batch job.

#### TabnannyDialog.__createErrorItem

__createErrorItem(filename, message)

Private slot to create a new error item in the result list.

filename (str)
  name of the file
message (str)
  error message

#### TabnannyDialog.__createResultItem

__createResultItem(filename, line, sourcecode)

Private method to create an entry in the result list.

filename
  filename of file (string)
line
  linenumber of faulty source (integer or string)
sourcecode
  faulty line of code (string)

#### TabnannyDialog.__finish

__finish()

Private slot called when the action or the user pressed the button.

#### TabnannyDialog.__processError

__processError(fn, msg)

Private slot to process an error indication from the service.

fn (str)
  filename of the file
msg (str)
  error message

#### TabnannyDialog.__processResult

__processResult(fn, nok, line, error)

Private slot called after perfoming a style check on one file.

fn
  filename of the just checked file (str)
nok
  flag if a problem was found (bool)
line
  line number (str)
error
  text of the problem (str)

#### TabnannyDialog.__resort

__resort()

Private method to resort the tree.

#### TabnannyDialog.check

check(codestring='')

Public method to start an indentation check for one file.

The results are reported to the __processResult slot.

codestring=
  optional sourcestring (str)

#### TabnannyDialog.checkBatch

checkBatch()

Public method to start an indentation check batch job.

The results are reported to the __processResult slot.

#### TabnannyDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### TabnannyDialog.on_resultList_itemActivated

on_resultList_itemActivated(itm, col)

Private slot to handle the activation of an item.

itm
  reference to the activated item (QTreeWidgetItem)
col
  column the item was activated in (integer)

#### TabnannyDialog.on_startButton_clicked

on_startButton_clicked()

Private slot to start a code metrics run.

#### TabnannyDialog.prepare

prepare(fileList, project)

Public method to prepare the dialog with a list of filenames.

fileList
  list of filenames (list of strings)
project
  reference to the project object (Project)

#### TabnannyDialog.start

start(fn)

Public slot to start the tabnanny check.

fn
  File or list of files or directory to be checked (string or list of strings)

Up